program ChivalryServerLauncher;

uses
  Vcl.Forms,
  Forms.Main in 'source\view\Forms.Main.pas' {MainForm},
  Game.Base in 'source\model\Game.Base.pas',
  Game.Chivalry.MedievalWarfare in 'source\model\Game.Chivalry.MedievalWarfare.pas',
  Game.Intf in 'source\model\Game.Intf.pas',
  Game.Chivalry in 'source\model\Game.Chivalry.pas',
  Game.Registry in 'source\model\Game.Registry.pas',
  Resources in 'source\Resources.pas',
  Game.Map in 'source\model\Game.Map.pas',
  Forms.Game in 'source\view\Forms.Game.pas' {GameForm},
  Bindings.Converters in 'source\bindings\Bindings.Converters.pas',
  Game.List in 'source\model\Game.List.pas',
  Persist.GameList in 'source\persist\Persist.GameList.pas';

{$R *.res}


var
  MainForm: TMainForm;


begin
  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
